Bug 808728 - ssh refuse to connect to a git account since an update
ssh refuse to connect to a git account since an update
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-31 07:04 EDT by ycollet
Modified: 2012-04-17 08:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-17 08:48:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ycollet 2012-03-31 07:04:39 EDT
Description of problem:

I am not able anymore to connect to the git repository of scilab with my ssh keys.
I used to work on fedora (and still work fine under mageia 1).

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:

ssh -vvv git@git.scilab.org

or

git pull

# my ssh key is valid (still work under mageia without problem).
  
Actual results:

For the git pull:

git pull
ssh_exchange_identification: Connection closed by remote host
fatal: The remote end hung up unexpectedly

For the ssh test:

ssh -vvv git@git.scilab.org
OpenSSH_5.8p2, OpenSSL 1.0.0g-fips 18 Jan 2012
debug1: Reading configuration data /home/collette/.ssh/config
debug1: Reading configuration data /etc/ssh/ssh_config
debug1: Applying options for *
debug2: ssh_connect: needpriv 0
debug1: Connecting to git.scilab.org [193.51.192.152] port 22.
debug1: Connection established.
debug3: Incorrect RSA1 identifier
debug3: Could not load "/home/collette/.ssh/id_rsa" as a RSA1 public key
debug2: key_type_from_name: unknown key type '-----BEGIN'
debug3: key_read: missing keytype
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug2: key_type_from_name: unknown key type '-----END'
debug3: key_read: missing keytype
debug1: identity file /home/collette/.ssh/id_rsa type 1
debug1: identity file /home/collette/.ssh/id_rsa-cert type -1
debug1: identity file /home/collette/.ssh/id_dsa type -1
debug1: identity file /home/collette/.ssh/id_dsa-cert type -1
ssh_exchange_identification: Connection closed by remote host
Comment 1 ycollet 2012-04-17 08:48:29 EDT
This problem has been fixed on the scilab website side.
I close the bug.
It was due to a bad setting for a security problem.

YC

Note You need to log in before you can comment on or make changes to this bug.